---
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see https://about.gitlab.com/handbook/product/ux/technical-writing/#assignments
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

# `glab config set`

Updates configuration with the value of a given key.

## Synopsis

Update the configuration by setting a key to a value.
Use 'glab config set --global' to set a global config.
Specifying the '--hostname' flag also saves in the global configuration file.

```plaintext
glab config set <key> <value> [flags]
```

## Examples

```plaintext

  glab config set editor vim
  glab config set token xxxxx -h gitlab.com
  glab config set check_update false --global

```

## Options

```plaintext
  -g, --global        Write to global '~/.config/glab-cli/config.yml' file rather than the repository's '.git/glab-cli/config.yml' file.
  -h, --host string   Set per-host setting.
```

## Options inherited from parent commands

```plaintext
      --help   Show help for this command.
```
